---
title: Ansible Wiki Crontabs
tags:
- ansible
---
# Roles which are setting Crontabs

## Common

Tasks defined in *common.yml*

Setup all crontabs from variables `cronjobs_host` and `cronjobs_group`.

## Drupal

Setup further crontabs defined by domains in _drupal\_settings_

## Drush

Tasks defined in *config.yml*

Setup `drush core-cron` for all drush aliases, configurable through _drush\_cron\_core_

Setup `drush translation refresh` and `drush translation update` for all drush aliases, configurable through _drush\_cron\_translation_

## HAProxy

Tasks defined in *configure.yml*

Should be moved out to the customer inventory.

## MySQL

Tasks defined in *backup.yml*

Setup automatic backup, configurable through _mysql\_cron\_backup_

## Oracle

Tasks defined in *configure.yml*

Should be moved out to the customer inventory.

## ownCloud

Tasks defined in *main.yml*

Setup cron, configurable through _owncloud\_cron\_core_

## SVNServer

Tasks defined in *main.yml*

Setup sync cron between master and slave, configurable through _svnserver\_cron\_sync_

# How to deploy Crontab definitions

When you've made any changes to Cronjobs, simply call this to deploy them to your server farm:

```
apb farm --tags=cron
```
